### R code from vignette source 'pim.Rnw'
### Encoding: UTF-8

###################################################
### code chunk number 1: pim.Rnw:154-157
###################################################
library(pim)
data("FEVData")
head(FEVData)


###################################################
### code chunk number 2: pim.Rnw:160-165
###################################################
library('pim')
pim.fit1 <- pim(FEV ~ Age*Smoke-1, data = FEVData, link="logit", 
  poset=lexiposet, estimator=estimator.nleqslv(), 
  keep.data=TRUE, interpretation="regular")
pim.fit1


###################################################
### code chunk number 3: pim.Rnw:182-183
###################################################
summary(pim.fit1)


###################################################
### code chunk number 4: pim.Rnw:187-188
###################################################
plot(pim.fit1)


###################################################
### code chunk number 5: pim.Rnw:192-195
###################################################
coef(pim.fit1)
vcov(pim.fit1)
head(fitted.values(pim.fit1))


###################################################
### code chunk number 6: pim.Rnw:206-208
###################################################
data("MHData")
head(MHData)


###################################################
### code chunk number 7: pim.Rnw:211-215
###################################################
pim.fit2a <- pim(mental ~ ses + life -1, data = MHData, link="logit", 
  poset=lexiposet, estimator=estimator.nleqslv(), 
  keep.data=TRUE, interpretation="regular")
summary(pim.fit2a)


###################################################
### code chunk number 8: pim.Rnw:236-241
###################################################
pim.fit2b <- pim(mental ~ ses + life + L(ses) + L(life) - 1, data = MHData,  
  link="logit", poset=lexiposet,  
  estimator=estimator.nleqslv(),keep.data=TRUE, 
  interpretation="regular")
summary(pim.fit2b)


###################################################
### code chunk number 9: pim.Rnw:257-258
###################################################
data("Engeldata")


###################################################
### code chunk number 10: pim.Rnw:261-269
###################################################
pim.fit3 <- pim(foodexp ~ I((R(income)-L(income))/sqrt(R(income)+L(income)))-1, 
  data = Engeldata, link="logit", poset=lexiposet, 
  estimator=estimator.nleqslv(), 
  keep.data=TRUE, interpretation="regular", 
  extra.nicenames=data.frame(
    org="I((R(income)-L(income))/sqrt(R(income)+L(income)))", 
    nice="weightedincomediff", stringsAsFactors=FALSE))
summary(pim.fit3)				


###################################################
### code chunk number 11: pim.Rnw:295-303
###################################################
n <- 100
X <- ordered(sample(LETTERS[1:3], n, replace = TRUE))
Y <- model.matrix(~ X)%*%c(1,2,3) + rnorm(n)
data.tmp <- data.frame(Y, X)
pim.fit4 <- pim(Y ~ X-1, data = data.tmp, link = "probit", poset=lexiposet, 
  estimator=estimator.nleqslv(), keep.data=TRUE, 
  interpretation="regular")
summary(pim.fit4)


